/*
// File:		Pop3Callback.hpp
//
// Version:		mail.it library 1.0 sample file
//
// Copyright:	(C) 2007 Dacons LLP.
//
// Bugs:		If you have problems or suggestions, please contact
//				the Online Support at: http://www.dacons.net/support
*/

#pragma once

#include <EmaiPOP3.hpp>

/*!
// @brief	Constants for user data for pop3 sessions
//
// @see		Pop3EnumUserData
 */
enum Pop3EnumUserData
{
	Pop3StatusText = 'STAT',			/*!< size of NSTextField*, using for showing status text*/
	Pop3CurrentMessage = 'CURM',		/*!< size of EmaiUint32, contains current message number*/
	Pop3MessageNumber = 'COUN',			/*!< size of EmaiUint32, contains message number*/
	Pop3CurrentPercent = 'PERC',		/*!< size of EmaiUint32, contains percent progress*/
	Pop3PercentText = 'NSVW'			/*!< size of NSTextField*, using for showing percent text*/
};

/*!
// @class	Pop3Callback
// @brief	Wrapper class for EmaiPop3StatusCallback
//
// @see		Emai::Pop3StatusCallback
 */
class Pop3Callback : public Emai::Pop3StatusCallback
{

	virtual EmaiError					OnOperation(
												Emai::Pop3Session& inSession,
												EmaiUint32 inOperationCode);

	virtual EmaiError					OnDataReceived(
												Emai::Pop3Session& inSession,
												EmaiUint32 inReceivedSize,
												EmaiUint32 inTotalSize);
	virtual EmaiError					OnServerError(
												Emai::Pop3Session& inSession,
												EmaiConstCharPtr inServerReply,
												EmaiUint32 inReplyCode);
public:
};
