/*!
// @file		SmtpWindowController.h
//
// @brief		Controller class
//
// @version		Mailit for C/C++ 1.0
//
// @author		(C) 2007 Dacons LLP.
//
// @bug			If you have problems or suggestions, please contact
//				the Online Support at: http://www.dacons.net/support
 */

#import <Cocoa/Cocoa.h>
#include <EmaiPOP3.hpp>

/*!
// @class	SmtpWindowController
// @brief	Smtp controller class.
 */
@interface SmtpWindowController : NSWindowController
{
    IBOutlet NSTextField *mAccount;
    IBOutlet NSTableView *mAttachments;
    IBOutlet NSTextField *mFrom;
    IBOutlet NSTextView *mHtmlText;
    IBOutlet NSTextField *mMailServer;
    IBOutlet NSTextField *mPassword;
    IBOutlet NSTextView *mPlainText;
    IBOutlet NSTextField *mStatusText;
    IBOutlet NSTextField *mSubject;
    IBOutlet NSTextField *mTo;
	IBOutlet NSTextField *mPerStatus;
	IBOutlet NSTextField *mPort;
	IBOutlet NSButton *mUseSsl;
	IBOutlet NSPopUpButton *mAuthType;
	IBOutlet NSButton *mAttachText;
	IBOutlet NSButton *mAttachHtml;
	IBOutlet NSTextField *mLicKey;
	NSMutableArray *mAttachmentPathsList;
	NSMutableArray *mAttachmentTypesList;
}
	/*!
	// @brief	Calls when user clicks on add attachment button.
	 */
- (IBAction)addAttachment:(id)sender;

	/*!
	// @brief	Calls when user clicks on delete attachment button.
	 */
- (IBAction)delAttachment:(id)sender;

	/*!
	// @brief	Calls when user clicks on send message button.
	 */
- (IBAction)sendMessage:(id)sender;

	/*!
	// @brief	Calls when user clicks on attach text checkbox.
	 */
- (IBAction)attachText:(id)sender;

	/*!
	// @brief	Calls when user clicks on attach html checkbox.
	 */
- (IBAction)attachHtml:(id)sender;
@end
